Package org.drinkless.tdlib

# Class TdApi.UpdateActiveNotifications

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Update
org.drinkless.tdlib.TdApi.UpdateActiveNotifications

Enclosing class:
  `TdApi`

public static class TdApi.UpdateActiveNotifications extends TdApi.Update
Contains active notifications that were shown on previous application launches. This update is sent only if the message database is used. In that case it comes once before any updateNotification and updateNotificationGroup update.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Update

  `TdApi.Update.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.NotificationGroup[]`
  `groups`
  Lists of active notification groups.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UpdateActiveNotifications()`
  Contains active notifications that were shown on previous application launches.
  `UpdateActiveNotifications(TdApi.NotificationGroup[] groups)`
  Contains active notifications that were shown on previous application launches.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### groups

    public TdApi.NotificationGroup[] groups
    Lists of active notification groups.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### UpdateActiveNotifications

    public UpdateActiveNotifications()
    Contains active notifications that were shown on previous application launches. This update is sent only if the message database is used. In that case it comes once before any updateNotification and updateNotificationGroup update.

  - ### UpdateActiveNotifications

    public UpdateActiveNotifications(TdApi.NotificationGroup[] groups)
    Contains active notifications that were shown on previous application launches. This update is sent only if the message database is used. In that case it comes once before any updateNotification and updateNotificationGroup update.
    Parameters:
      `groups` - Lists of active notification groups.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Update`
    Returns:
      this.CONSTRUCTOR